<div>
  <div class="p-1">
    <form action="">
      <div class="row">
        <div class="col-sm-6">
          <mat-form-field [appearance]="'outline'" class="full-width mr-2" id="field">
            <mat-label>From Date</mat-label>
            <input matInput [matDatepicker]="invoiceDatePicker" formControlName="fromDate" />
            <mat-datepicker-toggle matSuffix [for]="invoiceDatePicker"></mat-datepicker-toggle>
            <mat-datepicker #invoiceDatePicker></mat-datepicker>
            <mat-error *ngIf="form.get('fromDate').hasError('required') || form.get('fromDate').touched"
              style="margin-top: -14px;">
              This field is required
            </mat-error>
          </mat-form-field>

        </div>
        <div class="col-sm-6">

        </div>
      </div>
    </form>
  </div>

  <hr>
  <div class="p-1">
    <label>Invoice Items</label>
    <!-- <app-invoices></app-invoices> -->
  </div>
  <hr>
  <div class="p-1">
    <div class="row">
      <div class="col-sm-7">
        <div class="mt-4">
          <label>Additional Information</label>
        </div>
        <textarea class="w-100" formControlName="description" appCharLimit fcName="description" [max]="250" rows="5"></textarea>

      </div>
    </div>
  </div>
</div>
